/*** ESSENTIALS ***/
#ui-main-menu, #ui-main-menu * {margin:0;padding:0;list-style:none;}
#ui-main-menu ul {line-height:1.0;}
#ui-main-menu ul ul {position:absolute;top:-999em;width:190px;}
#ui-main-menu ul ul li {width:100%;}
#ui-main-menu li:hover {visibility:	inherit;}
#ui-main-menu li {float:left;position:relative;}
#ui-main-menu a {display:block;position:relative;}
#ui-main-menu li:hover ul,#ui-main-menu li.sfHover ul {left:0;top:21px;z-index:99;}
#ui-main-menu ul li:hover li ul,#ui-main-menu ul li.sfHover li ul {top:-999em;}
#ui-main-menu ul li li:hover ul,#ui-main-menu ul li li.sfHover ul {left:190px;top:0;}
#ui-main-menu ul li li:hover li ul,#ui-main-menu ul li li.sfHover li ul {top:-999em;}
#ui-main-menu ul li li li:hover ul,#ui-main-menu ul li li li.sfHover ul {left:190px;top:0;}
#ui-main-menu ul li ul li ul {width:250px;}

/*** COLOR/BACKGROUND ***/
#ui-main-menu {
	border:1px solid #808080;
	background:#dfdfdf;
	z-index:99;
}

/* Level 1 */
#ui-main-menu ul li a,
#ui-main-menu ul li a:link,
#ui-main-menu ul li a:visited {
	padding:0 .5em;
	line-height:20px;
	height:20px;
	text-decoration:none;
	border:1px solid #dfdfdf;
	color:#000;
}
#ui-main-menu ul li {
	background:#dfdfdf;
}
#ui-main-menu ul li:first-child {
	
}
#ui-main-menu ul li:last-child {
	
}
#ui-main-menu ul li a:hover,
#ui-main-menu ul li.sfHover a {
	background:#fff;
	color:#000;
	outline:0;
	border:1px solid #808080;
}

/* Level 2 */
#ui-main-menu ul li ul li a,
#ui-main-menu ul li ul li a:link,
#ui-main-menu ul li ul li a:visited {
	padding:0 .5em;
	line-height:20px;
	height:20px;
	text-decoration:none;
	border:1px solid #fff;
	color:#000;
}
#ui-main-menu ul li ul li {
	background:#efefef;
	border:1px solid #808080;
	border-top:0;
	border-bottom:0;
}
#ui-main-menu ul li ul li:first-child {
	
}
#ui-main-menu ul li ul li:last-child {
	border-bottom:1px solid #808080;
}
#ui-main-menu ul li ul li a:hover,
#ui-main-menu ul li ul li.sfHover a {
	background:#c2e1ff;
	border:1px solid #3399ff;
	outline:0;
}

/* Level 3 */
#ui-main-menu ul li ul li ul li a,
#ui-main-menu ul li ul li ul li a:link,
#ui-main-menu ul li ul li ul li a:visited {
	padding:0 .5em;
	line-height:20px;
	height:20px;
	text-decoration:none;
	border:1px solid #efefef;
	color:#000;
	background:#efefef;
}
#ui-main-menu ul li ul li ul li {
	background:#efefef;
	border:1px solid #808080;
	border-top:0;
	border-bottom:0;
}
#ui-main-menu ul li ul li ul li:first-child {
	border-top:1px solid #808080;
}
#ui-main-menu ul li ul li ul li:last-child {
	border-bottom:1px solid #808080;
}
#ui-main-menu ul li ul li ul li a:hover,
#ui-main-menu ul li ul li ul li.sfHover a {
	background:#c2e1ff;
	border:1px solid #3399ff;
	outline:0;
}


/*** ARROWS ***/
#ui-main-menu a.sf-with-ul {padding-right:25px !important;min-width:1px;}
.sf-sub-indicator {
	position:absolute;display:block;right:.75em;top:1.05em;width:10px;height:10px;text-indent: -999em;
	overflow:hidden;background: url('../images/base/arrows-000000.png') no-repeat -10px -100px; 
}
a > .sf-sub-indicator {top:6px;background-position: 0 -100px;}
a:focus > .sf-sub-indicator,a:hover > .sf-sub-indicator,a:active > .sf-sub-indicator,
li:hover > a > .sf-sub-indicator,li.sfHover > a > .sf-sub-indicator {background-position: -10px -100px;}
#ui-main-menu ul ul .sf-sub-indicator {background-position: -10px 0;}
#ui-main-menu ul ul a > .sf-sub-indicator {background-position:  0 0;}
#ui-main-menu ul ul a:focus > .sf-sub-indicator,#ui-main-menu ul ul a:hover > .sf-sub-indicator,
#ui-main-menu ul ul a:active > .sf-sub-indicator,#ui-main-menu ul ul li:hover > a > .sf-sub-indicator,
#ui-main-menu ul ul li.sfHover > a > .sf-sub-indicator {background-position: -10px 0;}


/*** SHADOWS ***/
.sf-shadow ul {
	/*padding: 0 8px 9px 0 !important;
	background:	url('../images/base/shadow.png') no-repeat bottom right;
	-moz-border-radius-bottomleft: 17px;-moz-border-radius-topright: 17px;
	-webkit-border-top-right-radius: 17px;-webkit-border-bottom-left-radius: 17px;*/
	-moz-box-shadow: 0px 6px 5px rgba(0,0,0,.5);-webkit-box-shadow: 0px 6px 5px rgba(0,0,0,.5);box-shadow: 0px 6px 5px rgba(0,0,0,.5);
}
.sf-shadow ul.sf-shadow-off {background: transparent;}
